[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.GlyphChanged

Provides a default implementation for the OnChange event handler.

## Declaration

Source position: buttons.pp line 117

`protected procedure TButtonGlyph.GlyphChanged(`
`Sender: TObject`
`);`

## Arguments

`Sender` |  | Button glyph for the change notification.

## Description

GlyphChanged is procedure which provides the default implementation for the OnChange event handler. Sender is the TObject instance for the change notification, and normally receives a reference to the current TButtonGlyph class instance.

GlyphChanged ensures that the internal ImagesCache member is set to Nil, and the ClearImages methods is called to remove images stored in the Images property. When CanShow returns True, the internal ImagesCache member is re-populated and registered to listen for changes to the Glyph property.

GlyphChanged is assigned to the OnChange event handler when the class instance is created, and when a bitmap is assigned to the Glyph property.

## See also

TButtonGlyph.OnChange |  | Event handler signalled when the bitmap in Glyph has been changed.
TButtonGlyph.CanShow |  | Indicates if the glyph image can be drawn for the button glyph.
TButtonGlyph.Glyph |  | The bitmap image drawn as the glyph on the button.
TButtonGlyph.Create |  | Create - constructor for TButtonGlyph: frees the Images cache then creates a Glyph Bitmap.